(function() {
  
  var naviTimeout = null;

  function navi() {
    
    // Define option defaults
    var targetName = '#wrapper';
    var maxWidth = 767;
  
    var target = document.querySelector(targetName);
    var maxWidthMatches = window.matchMedia('(max-width:' + maxWidth + 'px)').matches;
    
    // testing breakpoint and button existence
    var buttonExists = document.querySelector('.js-nav-button');
    if (buttonExists !== null || !maxWidthMatches) {
      if (!maxWidthMatches) buttonExists.outerHTML = '';
      return false;
    }
    
    // create a navigation button
    navButton = document.createElement('button');
    navButton.className = 'js-nav-button nav-button';
    navButton.type = 'button';
    navButton.setAttribute('aria-label', 'open/close navigation');
      
    linkButton = $(".sidebar nav a");
  
    // insert button at begining of target
    target.insertBefore(navButton, target.firstChild);
  
    // click event
    if (maxWidthMatches) navButton.addEventListener('click', function () { target.classList.toggle('is-opened'); } );
      
      
    $(".sidebar nav a").click(function(){
        target.classList.toggle('is-opened');
    });

  } // end navi()
  
  // When window resizes or orientation changes, launch navi callback
  window.addEventListener('resize', function() {
    clearTimeout(naviTimeout);
    naviTimeout = setTimeout(navi,50);
  });
  
  navi();
}());